.\"
.\" DI $Id: U.tr,v 0.3 2014/03/13 08:40:17 pj Exp pj $
.\" DA Pierre‐Jean Fichet
.\" DS Utroff U manual
.\" DT Utroff U manual
.\" DK utroff U troff nroff heirloom tmac xml
.
.
.
.TH U 1 '2014‐03‐13'
.
.
.
.SH NAME
.PP
\fBU\fR - Set environment variables to use \fIUtroff\fR
.
.
.
.SH SYNOPSIS
.PP
\fB@BINDIR@/U\fR
[\fBcommand\fR]
.PP
\fB.\fR \fB@BINDIR@/U\fR
.
.
.
.SH DESCRIPTION
.PP
\fIUtroff\fR, \fIHeirloom Troff\fR and \fIGroff\fR share some of the same
utilities, even if their source code differ. To avoid
conflicts, it is wise to put the \fIutroff\fR utilities at the end
of your \fBPATH\fR, which is not handfull for a daily usage. The
\fBU\fR script will set your \fBPATH\fR and some environment
variable to use \fIutroff\fR easily.
.PP
Followed by a \fIcommand\fR, \fBU\fR will set the
environment variables for this onliest \fIcommand\fR. With
no argument, it can be sourced to set or reset the
\fIUtroff\fR environment.
.PP
The following environments variable are currently set by
\fBU\fR:
.TP
\fBPATH\fR
To be sure that the \fIutroff\fR executables are the first
found on the PATH.
.TP
\fBMANPATH\fR
To be sure that the \fIutroff\fR manual pages are the first
found on the MANPATH.
.TP
\fBTROFFONTS\fR
To find the Libertine OpenType font.
.TP
\fBTROFFMACS\fR
To find the \fIutmac\fR macros files.
.TP
\fBPS1\fR
When sourced, \fBU\fR lightly modify your prompt.
.PP
There is one important environment variable that \fBU\fR
does \fBnot\fR set:
.TP
\fBUTMAC\fR
A user defined macro that utmac macros will load. This macro
can be used to source a macro which sets your locale (such
as \fIu‐en\fR or \fIu‐fr\fR), and a macro which sets your
prefered font (such as \fIu‐libertine\fR and
\fIu‐apolline\fR).
.
.
.
.SH EXAMPLE
.PP
.EX
\fI# command\fR
U troff -muh f.tr \fB|\fR U dpost \fB|\fR ps2pf -\fB>\fR file.pdf
U ugrind g.tr \fB|\fR U nroff -mut \fB>\fR g.txt
U man refer
\fI# session\fR
 . U
troff -muh f.tr \fB|\fR dpost \fB|\fR ps2pdf - \fB>\fR file.pdf
ugrind g.tr \fB|\fR nroff -mut \fB>\fR g.txt
man refer
 . U

.EE
.
.
.
.SH SEE ALSO
.PP
utroff(7).
.
.
.
.SH LICENSE
.PP
\fBU\fR and this man page are distributed under a
two clause BSD
license.
.
.
.
.SH BUGS & HELP
.PP
Don’t hesitate to ask questions at help at utroff dot org.
Please, send bugs and patches at help at utroff dot org.
.
.
.
.SH AUTHOR
.PP
Written by Pierre‐Jean \fCFichet\fR.
